import os
from distutils.core import setup
from distutils.command.sdist import sdist as sdist_orig

class sdist(sdist_orig):

    def run(self):
        try:
            self.spawn(['sudo', 'sh', './install.sh'])
        except DistutilsExecError:
            self.warn('listing directory failed')
        super().run()

setup(
  name = 'community_datasets',
  packages = ['community_datasets'],
  version = '0.3',
  license = 'MIT',
  description = 'API to use community datasets.',
  author = 'rushabh-v',
  author_email = 'vasanirushabh24@gmail.com',
  url = 'https://github.com/rushabh-v/community-datasets-cli',
  download_url = 'https://github.com/rushabh-v/community-datasets-cli/archive/0.1.tar.gz',
  keywords = ['tenslrflow', 'TFDS', 'Datasets', 'community_datasets'],
  classifiers=[
    'Development Status :: 3 - Alpha',
    'Intended Audience :: Developers',
    'Topic :: Software Development :: Build Tools',
    'License :: OSI Approved :: MIT License',
    'Programming Language :: Python :: 3',
    'Programming Language :: Python :: 3.4',
    'Programming Language :: Python :: 3.5',
    'Programming Language :: Python :: 3.6',
    'Programming Language :: Python :: 3.7',
  ],
  cmdclass={
        'sdist': sdist
    },
)
